| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__FileSystemJobEntry Struct Reference
File System

File System Job Entry. More...

`#include <osv-if-doc.h>`

## Public Attributes
unsigned int * | JobId
| A Job ID identifying the file system backup operation being queried. More...
char * | ExecPath
| Absolute path to the executable (usually a shell script). More...
char * | Type
| Flags that provide information about the job's attributes. More...
char * | AvgRunTime
| The average time that the job is expected to take. More...
char * | MaxRunTime
| The maximum time that the job is expected to take. More...
char * | State
| The state of the job -normally one of the following: RUNNING, DONE CANCELLED ERROR. More...
char * | ReportName
| The file name for the report file for the job. More...
char * | LogName
| The file name for the log file for the job. More...
char * | StartTime
| Start datetime of job. More...
char * | StopTime
| Stop datetime of job. More...
char * | MArgs
| Arguments passed to executable to execute a job. More...
char * | PercentageComplete
| Percentage Complete. More...

## Detailed Description

File System Job Entry.

## Member Data Documentation

## ◆ AvgRunTime

char* unsp__FileSystemJobEntry::AvgRunTime

The average time that the job is expected to take.

For the file system backup job, this is 3600, and this is intended only as a guide for the operator.
default value[range]: NA [1..20]

## ◆ ExecPath

char* unsp__FileSystemJobEntry::ExecPath

Absolute path to the executable (usually a shell script).

default value[range]: NA

## ◆ JobId

unsigned int* unsp__FileSystemJobEntry::JobId

A Job ID identifying the file system backup operation being queried.

default value[range]: NA

## ◆ LogName

char* unsp__FileSystemJobEntry::LogName

The file name for the log file for the job.

This file should be referred to if the job has a state of ERROR as it will indicate what the error is.
default value[range]: NA

## ◆ MArgs

char* unsp__FileSystemJobEntry::MArgs

Arguments passed to executable to execute a job.

default value[range]: NA [1..1024]

## ◆ MaxRunTime

char* unsp__FileSystemJobEntry::MaxRunTime

The maximum time that the job is expected to take.

For the file system backup job, this is 14400, and this is intended only as a guide for the operator.
default value[range]: NA [1..20]

## ◆ PercentageComplete

char* unsp__FileSystemJobEntry::PercentageComplete

Percentage Complete.

default value[range]: NA

## ◆ ReportName

char* unsp__FileSystemJobEntry::ReportName

The file name for the report file for the job.

default value[range]: NA

## ◆ StartTime

char* unsp__FileSystemJobEntry::StartTime

Start datetime of job.

default value[range]: NA [1..26]

## ◆ State

char* unsp__FileSystemJobEntry::State

The state of the job -normally one of the following: RUNNING, DONE CANCELLED ERROR.

default value[range]: NA 1..[256]

## ◆ StopTime

char* unsp__FileSystemJobEntry::StopTime

Stop datetime of job.

default value[range]: NA [1..26]

## ◆ Type

char* unsp__FileSystemJobEntry::Type

Flags that provide information about the job's attributes.

For the file system backup job, the flags indicate that the job can be canceled, can be scheduled, creates a log file and traps on an error.
default value[range]: NA [1..256]

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h